com.amazonaws.services.codebuild.model

## Class BatchGetProjectsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codebuild.model.BatchGetProjectsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class BatchGetProjectsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`BatchGetProjectsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetProjectsRequest` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getNames()` The names of the build projects to get information about.
`int` `hashCode()`
`void` `setNames(Collection<String> names)` The names of the build projects to get information about.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetProjectsRequest` `withNames(Collection<String> names)` The names of the build projects to get information about.
`BatchGetProjectsRequest` `withNames(String... names)` The names of the build projects to get information about.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetProjectsRequest

    public BatchGetProjectsRequest()

### Method Detail

#### getNames

    public List<String> getNames()

The names of the build projects to get information about.

Returns:
  The names of the build projects to get information about.

#### setNames

    public void setNames(Collection<String> names)

The names of the build projects to get information about.

Parameters:
  `names` - The names of the build projects to get information about.

#### withNames

    public BatchGetProjectsRequest withNames(String... names)

The names of the build projects to get information about.

NOTE: This method appends the values to the existing list (if any). Use `setNames(java.util.Collection)` or `withNames(java.util.Collection)` if you want to override the existing values.

Parameters:
  `names` - The names of the build projects to get information about.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withNames

    public BatchGetProjectsRequest withNames(Collection<String> names)

The names of the build projects to get information about.

Parameters:
  `names` - The names of the build projects to get information about.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetProjectsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`